- API-Referenz
- LeadFyndr
- Get all unlocked leads. Organisation can unlock leads
Get all unlocked leads. Organisation can unlock leads
Request
- customerIdstringrequired
- potentialRangeMinnumber (≥ 0, float)
Min inclusive value of potential.
- potentialRangeMaxnumber (≥ 0, float)
Max inclusive value of potential.
- employeeCountMininteger (int64)
Min inclusive value of employeeCount.
- employeeCountMaxinteger (int64)
Max inclusive value of employeeCount.
- salesVolumeMininteger (int64)
Min inclusive value of salesVolume.
- salesVolumeMaxinteger (int64)
Max inclusive value of salesVolume.
- technologiesArray von eine von 2 Alternativen
A list of technologies to filter. Use "none" to filter leads without a main technology.
- businessFieldsArray von string
A list of businessFields to filter.
- locationCitystring
City of location point.
- locationPostCodestring
Post code of location point.
- locationRadiusInKmnumber (≥ 20)
Radius from the location point.
- basic:timeToFirstByteMs:minnumber
Min inclusive value of timeToFirstByteMs.
- basic:timeToFirstByteMs:maxnumber
Max inclusive value of timeToFirstByteMs.
- basic:desktop:performance:minnumber (≥ 0, float)
Min inclusive value of desktop lighthouse metric performance.
- basic:desktop:performance:maxnumber (≥ 0, float)
Max inclusive value of desktop lighthouse metric performance.
- basic:mobile:performance:minnumber (≥ 0, float)
Min inclusive value of mobile lighthouse metric performance.
- basic:mobile:performance:maxnumber (≥ 0, float)
Max inclusive value of mobile lighthouse metric performance.
- reservedboolean
Only for this customer reserved leads.
- limitinteger (≥ 0)
The max count of resources to return in the list response.
- skipinteger
Number of items to skip. Should be multiple of
limit. - pageinteger (≥ 0)
Page to display.
skipandpageend up doing the same. If bothpageandskipare set, skip is used. - sortstring (einer von: potential, relevance, company)
Sort the result by this field.
- orderstring (einer von: asc, desc)
Should the result be sorted ascending or descending? Default ascending.
Responses
- X-Pagination-Limitinteger
The limit used to select the resources for the response
- X-Pagination-Skipinteger
The number of skipped items
- X-Pagination-Pagenumber
The calculate page of the list response. Refer to parameters to learn more.
- X-Pagination-TotalCountinteger
The total amount of items available in the remote ressource. Use this value in combination with the limit to calculate the available pages.
The unlocked leads list.
- leadsArray von objectrequired
- Array[
- *object
- actualUrlstringrequired
- businessFieldsArray von stringrequired
- Array[
- *string
]
- companyrequired
- contactobjectrequired
- addressobject
- addressPrefixstring
- citystring (≥ 1 Zeichen)
- countryCodestring (≥ 2 Zeichen, ≤ 2 Zeichen)
- houseNumberstring (≥ 1 Zeichen)
- streetstring (≥ 1 Zeichen)
- zipstring (≥ 1 Zeichen)
- descriptionstringrequired
- domainstringrequired
- hosterobjectrequired
- mailServerArray von stringrequired
- Array[
- *string
]
- nameServerArray von stringrequired
- Array[
- *string
]
- serverArray von stringrequired
- Array[
- *string
]
- languagesArray von stringrequired
- Array[
- *string
]
- leadIdstringrequired
- mainTechnologyobject
- categoriesArray von object
- Array[
- *object
- namestringrequired
- parentCategoriesArray von string
- Array[
- *string
]
- prioritynumberrequired
]
- categoryPriorityintegerrequired
- namestringrequired
- versionstring
- metricsobjectrequired
- additionalMetricsobject
- *object
- categorystringrequired
- namestringrequired
- scorenumber
- unitstring
- valuenumber
- basicobjectrequired
- co2number (≥ 0, float)
- contentLoadednumber (≥ 0, float)
- desktopobjectrequired
- accessibilitynumber (≥ 0, float)
- bestPracticenumber (≥ 0, float)
- cumulativeLayoutShiftnumber (≥ 0, float)
- firstContentfulPaintnumber (≥ 0, float)
- largestContentfulPaintnumber (≥ 0, float)
- performancenumber (≥ 0, float)
- seonumber (≥ 0, float)
- totalBlockingTimenumber (≥ 0, float)
- mobileobjectrequired
- accessibilitynumber (≥ 0, float)
- bestPracticenumber (≥ 0, float)
- cumulativeLayoutShiftnumber (≥ 0, float)
- firstContentfulPaintnumber (≥ 0, float)
- largestContentfulPaintnumber (≥ 0, float)
- performancenumber (≥ 0, float)
- seonumber (≥ 0, float)
- totalBlockingTimenumber (≥ 0, float)
- timeToFirstByteMsnumber
- potentialnumber (≥ 0, float)required
- reservationAllowedboolean
- reservedAtstring (date-time)
- scannedAtstring (date-time)
- screenshotstringrequired
- socialMediaArray von objectrequired
- Array[
- *object
- networkstringrequired
- urlstringrequired
]
- technologiesArray von objectrequired
- Array[
- *object
- categoriesArray von object
- Array[
- *object
- namestringrequired
- parentCategoriesArray von string
- Array[
- *string
]
- prioritynumberrequired
]
- categoryPriorityintegerrequired
- namestringrequired
- versionstring
]
- unlockedAtstring (date-time)required
]
- limitnumberrequired
- skipnumberrequired
- totalCountnumberrequired
Content-Type: application/json
{
"leads": [
{
"actualUrl": "string",
"businessFields": [
"string"
],
"company": null,
"contact": {
"address": {
"addressPrefix": "string",
"city": "string",
"countryCode": "string",
"houseNumber": "string",
"street": "string",
"zip": "string"
}
},
"description": "string",
"domain": "string",
"hoster": {
"mailServer": [
"string"
],
"nameServer": [
"string"
],
"server": [
"string"
]
},
"languages": [
"string"
],
"leadId": "string",
"mainTechnology": {
"categories": [
{
"name": "string",
"parentCategories": [
"string"
],
"priority": 123
}
],
"categoryPriority": 123,
"name": "string",
"version": "string"
},
"metrics": {
"additionalMetrics": {
"string": {
"category": "string",
"name": "string",
"score": 123,
"unit": "string",
"value": 123
}
},
"basic": {
"co2": 123,
"contentLoaded": 123,
"desktop": {
"accessibility": 123,
"bestPractice": 123,
"cumulativeLayoutShift": 123,
"firstContentfulPaint": 123,
"largestContentfulPaint": 123,
"performance": 123,
"seo": 123,
"totalBlockingTime": 123
},
"mobile": {
"accessibility": 123,
"bestPractice": 123,
"cumulativeLayoutShift": 123,
"firstContentfulPaint": 123,
"largestContentfulPaint": 123,
"performance": 123,
"seo": 123,
"totalBlockingTime": 123
},
"timeToFirstByteMs": 123
}
},
"potential": 123,
"reservationAllowed": true,
"reservedAt": "1985-10-26T01:21:00.000Z",
"scannedAt": "1985-10-26T01:21:00.000Z",
"screenshot": "string",
"socialMedia": [
{
"network": "string",
"url": "string"
}
],
"technologies": [
{
"categories": [
{
"name": "string",
"parentCategories": [
"string"
],
"priority": 123
}
],
"categoryPriority": 123,
"name": "string",
"version": "string"
}
],
"unlockedAt": "1985-10-26T01:21:00.000Z"
}
],
"limit": 123,
"skip": 123,
"totalCount": 123
}
{
"properties": {
"leads": {
"items": {
"properties": {
"actualUrl": {
"type": "string"
},
"businessFields": {
"items": {
"type": "string"
},
"type": "array"
},
"company": {
"allOf": [
{
"properties": {
"county": {
"type": "string"
},
"employeeCount": {
"format": "int64",
"type": "integer"
},
"foundingYear": {
"type": "number"
},
"salesVolume": {
"format": "int64",
"type": "integer"
}
},
"required": [
"county"
],
"type": "object"
},
{
"properties": {
"city": {
"type": "string"
},
"companyType": {
"items": {
"type": "string"
},
"type": "array"
},
"coreProduct": {
"items": {
"type": "string"
},
"type": "array"
},
"name": {
"type": "string"
},
"phoneNumbers": {
"default": [],
"items": {
"type": "string"
},
"type": "array"
},
"targetGroup": {
"items": {
"type": "string"
},
"type": "array"
},
"websiteType": {
"items": {
"type": "string"
},
"type": "array"
}
},
"required": [
"targetGroup",
"coreProduct",
"websiteType",
"companyType",
"city",
"phoneNumbers"
],
"type": "object"
}
]
},
"contact": {
"properties": {
"address": {
"properties": {
"addressPrefix": {
"type": "string"
},
"city": {
"minLength": 1,
"type": "string"
},
"countryCode": {
"maxLength": 2,
"minLength": 2,
"type": "string"
},
"houseNumber": {
"minLength": 1,
"type": "string"
},
"street": {
"minLength": 1,
"type": "string"
},
"zip": {
"minLength": 1,
"type": "string"
}
},
"type": "object"
}
},
"type": "object"
},
"description": {
"type": "string"
},
"domain": {
"type": "string"
},
"hoster": {
"properties": {
"mailServer": {
"items": {
"type": "string"
},
"type": "array"
},
"nameServer": {
"items": {
"type": "string"
},
"type": "array"
},
"server": {
"items": {
"type": "string"
},
"type": "array"
}
},
"required": [
"server",
"nameServer",
"mailServer"
],
"type": "object"
},
"languages": {
"items": {
"type": "string"
},
"type": "array"
},
"leadId": {
"type": "string"
},
"mainTechnology": {
"properties": {
"categories": {
"items": {
"properties": {
"name": {
"type": "string"
},
"parentCategories": {
"items": {
"type": "string"
},
"type": "array"
},
"priority": {
"type": "number"
}
},
"required": [
"name",
"priority"
],
"type": "object"
},
"type": "array"
},
"categoryPriority": {
"type": "integer"
},
"name": {
"type": "string"
},
"version": {
"type": "string"
}
},
"required": [
"name",
"categoryPriority"
],
"type": "object"
},
"metrics": {
"properties": {
"additionalMetrics": {
"additionalProperties": {
"properties": {
"category": {
"type": "string"
},
"name": {
"type": "string"
},
"score": {
"type": "number"
},
"unit": {
"type": "string"
},
"value": {
"type": "number"
}
},
"required": [
"category",
"name"
],
"type": "object"
},
"type": "object"
},
"basic": {
"properties": {
"co2": {
"format": "float",
"minimum": 0,
"type": "number"
},
"contentLoaded": {
"format": "float",
"minimum": 0,
"type": "number"
},
"desktop": {
"properties": {
"accessibility": {
"format": "float",
"maximum": 1,
"minimum": 0,
"type": "number"
},
"bestPractice": {
"format": "float",
"maximum": 1,
"minimum": 0,
"type": "number"
},
"cumulativeLayoutShift": {
"format": "float",
"minimum": 0,
"type": "number"
},
"firstContentfulPaint": {
"format": "float",
"minimum": 0,
"type": "number"
},
"largestContentfulPaint": {
"format": "float",
"minimum": 0,
"type": "number"
},
"performance": {
"format": "float",
"maximum": 1,
"minimum": 0,
"type": "number"
},
"seo": {
"format": "float",
"maximum": 1,
"minimum": 0,
"type": "number"
},
"totalBlockingTime": {
"format": "float",
"minimum": 0,
"type": "number"
}
},
"type": "object"
},
"mobile": {
"properties": {
"accessibility": {
"format": "float",
"maximum": 1,
"minimum": 0,
"type": "number"
},
"bestPractice": {
"format": "float",
"maximum": 1,
"minimum": 0,
"type": "number"
},
"cumulativeLayoutShift": {
"format": "float",
"minimum": 0,
"type": "number"
},
"firstContentfulPaint": {
"format": "float",
"minimum": 0,
"type": "number"
},
"largestContentfulPaint": {
"format": "float",
"minimum": 0,
"type": "number"
},
"performance": {
"format": "float",
"maximum": 1,
"minimum": 0,
"type": "number"
},
"seo": {
"format": "float",
"maximum": 1,
"minimum": 0,
"type": "number"
},
"totalBlockingTime": {
"format": "float",
"minimum": 0,
"type": "number"
}
},
"type": "object"
},
"timeToFirstByteMs": {
"type": "number"
}
},
"required": [
"desktop",
"mobile"
],
"type": "object"
}
},
"required": [
"basic"
],
"type": "object"
},
"potential": {
"format": "float",
"maximum": 1,
"minimum": 0,
"type": "number"
},
"reservationAllowed": {
"type": "boolean"
},
"reservedAt": {
"format": "date-time",
"type": "string"
},
"scannedAt": {
"format": "date-time",
"type": "string"
},
"screenshot": {
"type": "string"
},
"socialMedia": {
"items": {
"properties": {
"network": {
"type": "string"
},
"url": {
"type": "string"
}
},
"required": [
"network",
"url"
],
"type": "object"
},
"type": "array"
},
"technologies": {
"items": {
"properties": {
"categories": {
"items": {
"properties": {
"name": {
"type": "string"
},
"parentCategories": {
"items": {
"type": "string"
},
"type": "array"
},
"priority": {
"type": "number"
}
},
"required": [
"name",
"priority"
],
"type": "object"
},
"type": "array"
},
"categoryPriority": {
"type": "integer"
},
"name": {
"type": "string"
},
"version": {
"type": "string"
}
},
"required": [
"name",
"categoryPriority"
],
"type": "object"
},
"type": "array"
},
"unlockedAt": {
"format": "date-time",
"type": "string"
}
},
"required": [
"leadId",
"potential",
"screenshot",
"company",
"metrics",
"businessFields",
"description",
"technologies",
"domain",
"actualUrl",
"socialMedia",
"contact",
"hoster",
"unlockedAt",
"languages"
],
"type": "object"
},
"type": "array"
},
"limit": {
"type": "number"
},
"skip": {
"type": "number"
},
"totalCount": {
"type": "number"
}
},
"required": [
"leads",
"totalCount",
"skip",
"limit"
],
"type": "object"
}
Validation Error caused by invalid input data in the request
- type"ValidationError"required
- messagestring
- validationErrorsArray von objectrequired
- Array[
- *object
- messagestringrequired
The standard error message
- pathstringrequired
The path to the part of the data that was validated. JavaScript property access notation (e.g., ".prop[1].subProp") is used.
- typestringrequired
ajv validation error type (e.g. "format", "required", "type") or own validation error types
- contextobject
The object with the additional information about the error that can be used to create custom error messages. Keys depend on the type that failed validation (e.g. "missingProperty" for type "required")
- *string
]
Content-Type: application/json
{
"type": "ValidationError",
"message": "Validation failed",
"validationErrors": [
{
"message": "should be string",
"path": ".address.street",
"type": "format",
"context": {
"format": "email"
}
}
]
}
{
"type": "object",
"required": [
"type",
"validationErrors"
],
"properties": {
"type": {
"type": "string",
"enum": [
"ValidationError"
]
},
"message": {
"type": "string",
"example": "Validation failed"
},
"validationErrors": {
"type": "array",
"items": {
"type": "object",
"required": [
"message",
"path",
"type"
],
"properties": {
"message": {
"type": "string",
"description": "The standard error message",
"example": "should be string"
},
"path": {
"type": "string",
"description": "The path to the part of the data that was validated. JavaScript property access notation (e.g., \".prop[1].subProp\") is used.\n",
"example": ".address.street"
},
"type": {
"type": "string",
"description": "ajv validation error type (e.g. \"format\", \"required\", \"type\") or own validation error types",
"example": "format"
},
"context": {
"type": "object",
"example": {
"format": "email"
},
"description": "The object with the additional information about the error that can be used to create custom error messages. Keys depend on the\ntype that failed validation (e.g. \"missingProperty\" for type \"required\")\n",
"additionalProperties": {
"type": "string"
}
}
}
}
}
}
}
An unexpected Error that occurred while handling the request
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
The requested resource was not found
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
Your request ran into a rate limit. You have to wait until rate limit expires
- messagestring
- typestring
Content-Type: application/json
{
"message": "too many requests",
"type": "RateLimitError"
}
{
"type": "object",
"properties": {
"message": {
"type": "string",
"example": "too many requests"
},
"type": {
"type": "string",
"example": "RateLimitError"
}
}
}
An unexpected Error that occurred while handling the request
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
Nutzungsbeispiele
$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/customers/string/unlocked-leads?potentialRangeMin=123&potentialRangeMax=123&employeeCountMin=123&employeeCountMax=123&salesVolumeMin=123&salesVolumeMax=123&technologies=string&businessFields=string&locationCity=string&locationPostCode=string&locationRadiusInKm=123&basic%3AtimeToFirstByteMs%3Amin=123&basic%3AtimeToFirstByteMs%3Amax=123&basic%3Adesktop%3Aperformance%3Amin=123&basic%3Adesktop%3Aperformance%3Amax=123&basic%3Amobile%3Aperformance%3Amin=123&basic%3Amobile%3Aperformance%3Amax=123&reserved=true&limit=50&page=1&sort=potential&order=asc
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.leadFyndr.listUnlockedLeads({
"customerId": "string",
"queryParameters": {
"potentialRangeMin": 123,
"potentialRangeMax": 123,
"employeeCountMin": 123,
"employeeCountMax": 123,
"salesVolumeMin": 123,
"salesVolumeMax": 123,
"technologies": [
"string"
],
"businessFields": [
"string"
],
"locationCity": "string",
"locationPostCode": "string",
"locationRadiusInKm": 123,
"basic:timeToFirstByteMs:min": 123,
"basic:timeToFirstByteMs:max": 123,
"basic:desktop:performance:min": 123,
"basic:desktop:performance:max": 123,
"basic:mobile:performance:min": 123,
"basic:mobile:performance:max": 123,
"reserved": true,
"limit": 50,
"page": 1,
"sort": "potential",
"order": "asc"
}
});
assertStatus(response, 200);
use \Mittwald\ApiClient\Generated\V2\Clients\LeadFyndr\ListUnlockedLeads\ListUnlockedLeadsRequest;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
$request = (new ListUnlockedLeadsRequest(
customerId: "string"
))
->withPotentialRangeMin(123)
->withPotentialRangeMax(123)
->withEmployeeCountMin(123)
->withEmployeeCountMax(123)
->withSalesVolumeMin(123)
->withSalesVolumeMax(123)
->withTechnologies(["string"])
->withBusinessFields(["string"])
->withLocationCity("string")
->withLocationPostCode("string")
->withLocationRadiusInKm(123)
->withBasicTimeToFirstByteMsMin(123)
->withBasicTimeToFirstByteMsMax(123)
->withBasicDesktopPerformanceMin(123)
->withBasicDesktopPerformanceMax(123)
->withBasicMobilePerformanceMin(123)
->withBasicMobilePerformanceMax(123)
->withReserved(true)
->withLimit(50)
->withPage(1)
->withSort("potential")
->withOrder("asc");
$response = $client->leadFyndr()->listUnlockedLeads($request);
var_dump($response->getBody();